Name: verify_sender
Version: 0.1.7
Release: alt4.2

Packager: Sergey Y. Afonin <asy@altlinux.ru>

Summary: smtp callback checking for Sendmail (milter interface)

License: BSD
Group: System/Servers
Url: ftp://segfault.kiev.ua/pub/verify_sender/
Source0: ftp://segfault.kiev.ua/pub/verify_sender/%name-%version.tar.gz
Source1: %name.init
Source2: %name.sysconfig
Source3: %name.conf
Source4: verify_sender_map
Source5: %name.README.alt.rus
Source6: verify_sender_watchdog

Patch1: %name.Makefile.in.patch
Patch2: %name-%version.main.c.user.patch
Patch3: %name-%version.QueueID.patch
Patch4: %name-%version.segfault-log.patch

Patch200: %name.config.h.patch

# Errata section
Patch100: %name-%version.errata.verify_delay.patch

# bug in requires in sendmail-devel. Will be fixed in 8.13.4-alt3
BuildRequires: sendmail-libs

# Automatically added by buildreq on Tue May 03 2005
BuildRequires: libdb4-devel sendmail-devel 

%description
Mail filter for Sendmail (milter interface), callback checking for "mail from".
Written by Valentin Nechayev <netch@lucky.net>

%prep

%setup -q

#%patch1 -p0

%patch2 -p0
%patch3 -p1
%patch4 -p0

%patch100 -p1

export LIBS="-lresolv -lpthread"

./configure

%patch200 -p0

%build

%make_build

%install

#install bin

%__install -d -m 0750 %buildroot%_sbindir
%__install -m 755 %name %buildroot%_sbindir

%__install -d -m 0750 %buildroot%_bindir
%__install -m 755 verify_test %buildroot%_bindir/verify_sender_test
#%__install -m 755 %SOURCE6 %buildroot%_bindir/verify_sender_watchdog

%__install -d %buildroot%_var/run/%name

%__install -d -m 755 %buildroot%_sysconfdir/rc.d/init.d
%__install -m 755 %SOURCE1 %buildroot%_sysconfdir/rc.d/init.d/%name

%__install -d -m 755 %buildroot%_sysconfdir/sysconfig
%__install -m 644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name

%__install -d -m 755 %buildroot%_sysconfdir/mail
%__install -m 644 %SOURCE3 %buildroot%_sysconfdir/mail/
%__install -m 644 %SOURCE4 %buildroot%_sysconfdir/mail/

%__cp %SOURCE5 $RPM_BUILD_DIR/%name-%version/README.alt.rus

#%__install -d -m 755 %buildroot%_sysconfdir/cron.d
#cat <<EOF >%buildroot%_sysconfdir/cron.d/verify_sender_watchdog
#*/5 * * * *       root    %_bindir/verify_sender_watchdog
#EOF

#%post
#%post_service verify_sender
#service crond restart

#%preun
#%preun_service verify_sender
#service crond restart

%files
%attr(3770,root,mail) %dir %_var/run/%name
%_sbindir/*
%_bindir/*
%config %_initdir/*
%config(noreplace) %_sysconfdir/mail/*
%config(noreplace) %_sysconfdir/sysconfig/*
#%config(noreplace) %_sysconfdir/cron.d/*
%doc README RELEASE_NOTES README.alt.rus

%changelog
* Thu Feb 08 2007 Sergey Y. Afonin <asy@altlinux.ru> 0.1.7-alt4.2
- rebuild with sendmail-8.14.0

* Sat Mar 25 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.7-alt4.1
- Rebuilt with libdb4.4.

* Fri Oct 14 2005 Sergey Y. Afonin <asy@altlinux.ru> 0.1.7-alt4
- remove: verify_sender_watchdog 
  (replaced by sendmail-milters_watchdog from sendmail-8.13.5-alt2)

* Mon Jun 06 2005 Sergey Y. Afonin <asy@altlinux.ru> 0.1.7-alt3
- fix: examples in verify_sender_map have been changed to comments
- add: %preun_service and %post_service
- add: verify_sender_watchdog (README.alt.rus updated)
- change: README.alt -> README.alt.rus

* Wed May 25 2005 Sergey Y. Afonin <asy@altlinux.ru> 0.1.7-alt2
- fix: verify_delay behavior and description 
       verify_sender-0.1.7.errata.verify_delay.patch
- fix: in main.c.user.patch open socket after drop privileges
- add: verify_sender-0.1.7.segfault-log.patch
- update: README.alt

* Tue May 17 2005 Sergey Y. Afonin <asy@altlinux.ru> 0.1.7-alt1
- Initial release for AltLinux
- add: verify_sender-0.1.7.main.c.user.patch
- add: verify_sender-0.1.7.QueueID.patch
- add: README.alt (sorry, russian only)
